| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
com.symantec.sepm.webservice.liveupdate.LiveUpdateServiceImpl Class Reference

Provides the implementation for the LiveUpdateService API. More...

Inheritance diagram for com.symantec.sepm.webservice.liveupdate.LiveUpdateServiceImpl:

## Public Member Functions
LiveUpdateContentVersionResult | getLiveUpdateContentVersion () throws InsufficientAccessServiceException, ServiceException
| Gets information about LiveUpdate content. More...
int | runLiveUpdate () throws InsufficientAccessServiceException, ServiceException
| Runs LiveUpdate on the specified management server. More...

## Detailed Description

Provides the implementation for the LiveUpdateService API.

## Member Function Documentation

LiveUpdateContentVersionResult com.symantec.sepm.webservice.liveupdate.LiveUpdateServiceImpl.getLiveUpdateContentVersion | ( |  | ) | throws InsufficientAccessServiceException, ServiceException

Gets information about LiveUpdate content.

This information consists of the following items:

- The date and the revision of the virus definitions that are available on a specified management server. Provides an explicit error in the case that definitions are missing on the management server.

- The date and the revision of the virus definitions that are available on Symantec LiveUpdate servers. Provides an explicit error in the case that definitions are unavailable from the Symantec LiveUpate servers.

Returns
  a LiveUpdateContentVersionResult object

Exceptions

  InsufficientAccessServiceException | if the current logged in user does not have sufficient rights to access the endpoint or to execute the web method
  ServiceException | if the web service encountered an error processing the web request

Implements com.symantec.sepm.webservice.liveupdate.LiveUpdateService.

int com.symantec.sepm.webservice.liveupdate.LiveUpdateServiceImpl.runLiveUpdate | ( |  | ) | throws InsufficientAccessServiceException, ServiceException

Runs LiveUpdate on the specified management server.

In the case where return value = 0 (LiveUpdate fails to start), the most common reason for a LiveUpdate failure is that LiveUpdate is already running on the management server.

Other less common reasons for failure are that management site replication is in progress, or that a client package import is in process. For more information about these processes, see the Symantec Endpoint Protection documentation.

Returns
  status of the service

0 = LiveUpdate session could not be started

1 = LiveUpdate session started successfully

Note that this status does not guarantee that the session will be successfully completed.

Exceptions

  InsufficientAccessServiceException | if the current logged in user does not have sufficient rights to access the endpoint or to execute the web method.

Only a system administrator or a domain administrator or limited administrator with full local site rights can run LiveUpdate.

Exceptions

  ServiceException | if the web service encountered an error processing the web request

error code 1 = the service cannot connect to the Endpoint Protection database

error code 2 = the license state is out of date

Implements com.symantec.sepm.webservice.liveupdate.LiveUpdateService.